<?xml version="1.0"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy toplevel-contextual -->
  <object class="GtkWindow" id="history_manager_window">
    <property name="border_width">6</property>
    <property name="title" translatable="yes">Gajim History Logs Manager</property>
    <property name="default_width">650</property>
    <property name="default_height">500</property>
    <signal name="delete_event" handler="on_history_manager_window_delete_event"/>
    <child>
      <object class="GtkVBox" id="vbox">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">6</property>
        <child>
          <object class="GtkHPaned" id="hpaned">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <property name="position">200</property>
            <child>
              <object class="GtkScrolledWindow" id="jids_scrolledwindow">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="hscrollbar_policy">automatic</property>
                <property name="vscrollbar_policy">automatic</property>
                <property name="shadow_type">in</property>
                <child>
                  <object class="GtkTreeView" id="jids_listview">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="rules_hint">True</property>
                    <signal name="button_press_event" handler="on_listview_button_press_event"/>
                    <signal name="key_press_event" handler="on_jids_listview_key_press_event"/>
                  </object>
                </child>
              </object>
              <packing>
                <property name="resize">False</property>
                <property name="shrink">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkVBox" id="vbox1">
                <property name="visible">True</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkVBox" id="welcome_vbox">
                    <property name="visible">True</property>
                    <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                    <property name="orientation">vertical</property>
                    <child>
                      <object class="GtkLabel" id="welcome_label">
                        <property name="visible">True</property>
                        <property name="label" translatable="yes">&lt;big&gt;&lt;b&gt;Welcome to Gajim History Logs Manager&lt;/b&gt;&lt;/big&gt;</property>
                        <property name="use_markup">True</property>
                        <property name="justify">center</property>
                        <property name="wrap">True</property>
                      </object>
                      <packing>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkHBox" id="hbox3">
                        <property name="visible">True</property>
                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                        <child>
                          <object class="GtkImage" id="image3">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="xalign">1</property>
                            <property name="yalign">0</property>
                            <property name="stock">gtk-info</property>
                          </object>
                          <packing>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkLabel" id="info_label">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="label" translatable="yes">This log manager is not intended for log viewing. If you are looking for such functionality, use the history window instead.

Use this program to delete or export logs. You can select logs from the left and/or search database from below.</property>
                            <property name="use_markup">True</property>
                            <property name="wrap">True</property>
                          </object>
                          <packing>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="padding">20</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkHBox" id="hbox2">
                        <property name="visible">True</property>
                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                        <child>
                          <object class="GtkImage" id="warning_image">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="xalign">1</property>
                            <property name="yalign">0</property>
                            <property name="stock">gtk-dialog-warning</property>
                          </object>
                          <packing>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkLabel" id="warning_label">
                            <property name="visible">True</property>
                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
                            <property name="label" translatable="yes">&lt;b&gt;WARNING:&lt;/b&gt;
If you plan to do massive deletions, please make sure Gajim is not running. Generally avoid deletions with contacts you currently chat with.</property>
                            <property name="use_markup">True</property>
                            <property name="wrap">True</property>
                          </object>
                          <packing>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="padding">20</property>
                        <property name="position">2</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkScrolledWindow" id="logs_scrolledwindow">
                    <property name="can_focus">True</property>
                    <property name="no_show_all">True</property>
                    <property name="hscrollbar_policy">automatic</property>
                    <property name="vscrollbar_policy">automatic</property>
                    <property name="shadow_type">in</property>
                    <child>
                      <object class="GtkTreeView" id="logs_listview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="rules_hint">True</property>
                        <property name="enable_search">False</property>
                        <signal name="button_press_event" handler="on_listview_button_press_event"/>
                        <signal name="key_press_event" handler="on_logs_listview_key_press_event"/>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="position">1</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkScrolledWindow" id="search_results_scrolledwindow">
                    <property name="can_focus">True</property>
                    <property name="no_show_all">True</property>
                    <property name="hscrollbar_policy">automatic</property>
                    <property name="vscrollbar_policy">automatic</property>
                    <property name="shadow_type">in</property>
                    <child>
                      <object class="GtkTreeView" id="search_results_listview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="rules_hint">True</property>
                        <signal name="button_press_event" handler="on_listview_button_press_event"/>
                        <signal name="row_activated" handler="on_search_results_listview_row_activated"/>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="position">2</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="resize">True</property>
                <property name="shrink">True</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHBox" id="hbox">
            <property name="visible">True</property>
            <property name="spacing">6</property>
            <child>
              <object class="GtkEntry" id="search_entry">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="activates_default">True</property>
              </object>
              <packing>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="search_db_button">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="receives_default">False</property>
                <signal name="clicked" handler="on_search_db_button_clicked"/>
                <child>
                  <object class="GtkAlignment" id="alignment1">
                    <property name="visible">True</property>
                    <property name="xscale">0</property>
                    <property name="yscale">0</property>
                    <child>
                      <object class="GtkHBox" id="hbox1">
                        <property name="visible">True</property>
                        <property name="spacing">2</property>
                        <child>
                          <object class="GtkImage" id="image1">
                            <property name="visible">True</property>
                            <property name="stock">gtk-find</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkLabel" id="label1">
                            <property name="visible">True</property>
                            <property name="label" translatable="yes">_Search Database</property>
                            <property name="use_underline">True</property>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkMenu" id="context_menu">
    <child>
      <object class="GtkMenuItem" id="export_menuitem">
        <property name="visible">True</property>
        <property name="label" translatable="yes">Export</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_export_menuitem_activate"/>
      </object>
    </child>
    <child>
      <object class="GtkImageMenuItem" id="delete_menuitem">
        <property name="label">gtk-delete</property>
        <property name="visible">True</property>
        <property name="use_underline">True</property>
        <property name="use_stock">True</property>
      </object>
    </child>
  </object>
  <object class="GtkFileChooserDialog" id="filechooserdialog">
    <property name="type_hint">dialog</property>
    <property name="action">save</property>
    <child internal-child="vbox">
      <object class="GtkVBox" id="dialog-vbox1">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">24</property>
        <child internal-child="action_area">
          <object class="GtkHButtonBox" id="dialog-action_area1">
            <property name="visible">True</property>
            <property name="layout_style">end</property>
            <child>
              <object class="GtkButton" id="cancel_button">
                <property name="label">gtk-cancel</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="save_button">
                <property name="label">gtk-save</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="can_default">True</property>
                <property name="has_default">True</property>
                <property name="receives_default">False</property>
                <property name="use_stock">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="pack_type">end</property>
            <property name="position">0</property>
          </packing>
        </child>
      </object>
    </child>
    <action-widgets>
      <action-widget response="-6">cancel_button</action-widget>
      <action-widget response="-5">save_button</action-widget>
    </action-widgets>
  </object>
</interface>
